"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var indexIsValid_1 = require("../lib/indexIsValid");
function errorIfIndexNotValidAfterOffsetWasAdded(index, array) {
    var errorPrefix = "After the offset was added to the index of the passed value, the resulting index ";
    if (index < 0) {
        throw new Error(errorPrefix + "was a negative number. This is not allowed.");
    }
    if (!indexIsValid_1.indexIsValid(index, array)) {
        throw new Error(errorPrefix + "was too high for this array");
    }
}
exports.errorIfIndexNotValidAfterOffsetWasAdded = errorIfIndexNotValidAfterOffsetWasAdded;
